Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
rapidjson::UTF16< CharType > Struct Template Reference

UTF-16 encoding. More...

`#include <encodings.h>`

Inheritance diagram for rapidjson::UTF16< CharType >:

## Public Types
enum | { supportUnicode = 1 }
typedef CharType | Ch

## Public Member Functions
| RAPIDJSON_STATIC_ASSERT (sizeof(Ch) >=2)

## Static Public Member Functions
template<typename OutputStream >
static void | Encode (OutputStream &os, unsigned codepoint)
template<typename OutputStream >
static void | EncodeUnsafe (OutputStream &os, unsigned codepoint)
template<typename InputStream >
static bool | Decode (InputStream &is, unsigned *codepoint)
template<typename InputStream , typename OutputStream >
static bool | Validate (InputStream &is, OutputStream &os)

## Detailed Description

template<typename CharType>
struct rapidjson::UTF16< CharType >

UTF-16 encoding.

http://en.wikipedia.org/wiki/UTF-16 http://tools.ietf.org/html/rfc2781

Template Parameters

  CharType | Type for storing 16-bit UTF-16 data. Default is wchar_t. C++11 may use char16_t instead.

Note
  implements Encoding concept
  For in-memory access, no need to concern endianness. The code units and code points are represented by CPU's endianness. For streaming, use UTF16LE and UTF16BE, which handle endianness.

The documentation for this struct was generated from the following files:

- include/rapidjson/encodings.h
- include/rapidjson/fwd.h